# $Id$
# Authority: dag
# Upstream: Jianyuan Wu <jwu$cpan,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Thread-Pool-Simple

Summary: Simple thread-pool implementation
Name: perl-Thread-Pool-Simple
Version: 0.25
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Thread-Pool-Simple/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/authors/id/J/JW/JWU/Thread-Pool-Simple/Thread-Pool-Simple-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
perl-Thread-Pool-Simple is a Perl module implementing a simple thread-pool.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README
%doc %{_mandir}/man3/Thread::Pool::Simple.3pm*
%dir %{perl_vendorlib}/Thread/
%dir %{perl_vendorlib}/Thread/Pool/
#%{perl_vendorlib}/Thread/Pool/Simple/
%{perl_vendorlib}/Thread/Pool/Simple.pm

%changelog
* Wed Feb 16 2011 Dag Wieers <dag@wieers.com> - 0.25-1
- Initial package. (using DAR)
